Change log for lyx package in Ubuntu

175 of 78 results
Published in disco-release on 2018-12-15
Deleted in disco-proposed (Reason: moved to release)
lyx (2.3.2-1) unstable; urgency=medium

  * New upstream version 2.3.2
    - Refresh patches

 -- Dr. Tobias Quathamer <email address hidden>  Fri, 14 Dec 2018 23:17:36 +0100

Available diffs

Superseded in disco-release on 2018-12-15
Deleted in disco-proposed on 2018-12-16 (Reason: moved to release)
lyx (2.3.1-2-2) unstable; urgency=medium

  * Fix failing configuration of a fresh LyX installation.
    A fresh install of LyX results in the same /usr/share/lyx/configure.py
    failure, and removing ~/.lyx/ on an existing install reproduces the
    issue. It does not occur when ~/.lyx/ is already setup. Problem is
    related to the move to Python 3 and comparisons of bytes and strings.
    Thanks to Jonathan McDowell <email address hidden> (Closes: #909995)

 -- Dr. Tobias Quathamer <email address hidden>  Wed, 17 Oct 2018 13:23:14 +0200

Available diffs

Superseded in disco-release on 2018-11-11
Published in cosmic-release on 2018-05-06
Deleted in cosmic-proposed (Reason: moved to release)
lyx (2.3.0-2) unstable; urgency=medium

  * Disable two Python3 patches.
    They make the package unusable with Python2. (Closes: #892418)

 -- Dr. Tobias Quathamer <email address hidden>  Fri, 09 Mar 2018 10:35:43 +0100

Available diffs

Superseded in cosmic-release on 2018-05-06
Published in bionic-release on 2018-02-08
Deleted in bionic-proposed (Reason: moved to release)
lyx (2.2.3-5) unstable; urgency=medium

  * Revert "Use Python 3 instead of 2", introduced in 2.2.3-3.
    The support of Python 3 is still too fragile and results
    in FTBFS bugs in packages depending on lyx conversion
    scripts. Thanks to Andreas Beckmann <email address hidden> for
    spotting this bug and reporting it. (Closes: #889793)

 -- Dr. Tobias Quathamer <email address hidden>  Wed, 07 Feb 2018 21:17:18 +0100

Available diffs

Superseded in bionic-release on 2018-02-08
Deleted in bionic-proposed on 2018-02-09 (Reason: moved to release)
lyx (2.2.3-4) unstable; urgency=medium

  * Remove unneeded symlink creation to debug package.
    After the dbgsym migration, there's no longer a lyx-dbg package
    created and the package FTBFS twice in a row due to the leftover
    directory.
    Thanks to Andreas Beckmann <email address hidden> (Closes: #889492)

 -- Dr. Tobias Quathamer <email address hidden>  Sat, 03 Feb 2018 22:04:02 +0100

Available diffs

Superseded in bionic-release on 2018-02-04
Deleted in bionic-proposed on 2018-02-05 (Reason: moved to release)
lyx (2.2.3-3) unstable; urgency=medium

  * Replace Iceweasel with Firefox in fonts-lyx description.
    Thanks to Christopher Chavez <email address hidden> (Closes: #886770)
  * Switch Vcs-URLs to salsa.d.o
  * Set myself as maintainer, the alioth list will be deleted
  * Run wrap-and-sort for debian/* files
  * Use debhelper v11
  * Update Standards-Version to 4.1.3, no changes needed
  * Use gbp pq for patch management instead of quilt
  * Use Python 3 instead of 2
    - Add two patches to enable usage of Python 3

 -- Dr. Tobias Quathamer <email address hidden>  Wed, 31 Jan 2018 22:47:21 +0100

Available diffs

Superseded in bionic-release on 2017-11-10
Deleted in bionic-proposed on 2017-11-23 (Reason: moved to release)
lyx (2.2.3-1build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <email address hidden>  Thu, 26 Oct 2017 17:19:34 +0000
Superseded in bionic-release on 2018-02-01
Deleted in bionic-proposed on 2018-02-02 (Reason: moved to release)
lyx (2.2.3-2) unstable; urgency=medium

  [ Sven Hoexter ]
  * Remove myself from the list of Uploaders.
  * Remove elyxer from the list of HTML exports, filled for RM because I'm
    giving up package maintenance and there is no visible upstream activity.
    Move HTML exporters/converters from recommends to suggests, there are
    build in facilities for basic HTML exports.
  * Remove lintian-overrides for misspellings, last override
    was fixed, adding all the new ones is too tedious.
  * Remove suggest for latex-xcolor, superseded by texlive-latex-recommended
    which is already in our list of recommended packages. Thanks Norbert for
    the hint. (Closes: #865242)
  * Remove transitional package ttf-lyx.
  * Prepare the -dbg package to automatic -dbgsym migration. Added the migration
    dh_strip invocation to d/rules and removed the -dbg package from d/control.
  * Depend on debhelper 10 for all the new cool stuff, e.g. dbgsym migration.
  * Update Standards-Version to 4.1.1 - no changes required.

  [ Dr. Tobias Quathamer ]
  * Adopt package. (Closes: #634757)
  * Use HTTPS for lyx homepage
  * Update Vcs-Browser URL
  * Use HTTPS for d/copyright URL
  * Update d/copyright
  * Use HTTPS for d/watch

 -- Dr. Tobias Quathamer <email address hidden>  Mon, 09 Oct 2017 17:08:43 +0200
Superseded in bionic-release on 2017-10-31
Published in artful-release on 2017-05-19
Deleted in artful-proposed (Reason: moved to release)
lyx (2.2.3-1) unstable; urgency=medium

  [ Sven Hoexter ]
  * Remove Per Olofsson from the list of Uploaders. His email address started
    to bounce lately. (Closes: #847161)
    Thanks for all the fish Per and the decade of keeping the LyX package in shape!
  * New upstream release.
  * Refresh all patches.

  [ Nick Andrik ]
  * Replace transitional package evince-gtk with evince to satisfy a deb check

 -- Sven Hoexter <email address hidden>  Fri, 19 May 2017 09:40:38 +0200

Available diffs

Superseded in artful-release on 2017-05-19
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
lyx (2.2.2-1) unstable; urgency=medium

  [ Nick Andrik ]
  * New upstream release
  * Enable Qt5 support

  [ Sven Hoexter ]
  * Remove "etoolbox" from the list of suggested packages and update the package
    description accordingly. Thanks for the hint Adrian. (Closes: #833993)

 -- Nick Andrik <email address hidden>  Sat, 05 Nov 2016 04:06:15 +0100
Superseded in zesty-release on 2016-11-24
Deleted in zesty-proposed on 2016-11-25 (Reason: moved to release)
lyx (2.2.0-2build2) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <email address hidden>  Tue, 01 Nov 2016 16:28:17 +0000

Available diffs

Superseded in zesty-release on 2016-11-02
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
lyx (2.2.0-2build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <email address hidden>  Thu, 04 Aug 2016 08:25:25 +0000
Superseded in yakkety-release on 2016-08-04
Deleted in yakkety-proposed on 2016-08-06 (Reason: moved to release)
lyx (2.2.0-2) unstable; urgency=high

  * Add lyx dependency on libqt4-svg, because it is not picked automatically
    (Closes: #829268, #829271)

 -- Nick Andrik <email address hidden>  Sat, 02 Jul 2016 03:35:18 +0200

Available diffs

Superseded in yakkety-release on 2016-07-03
Deleted in yakkety-proposed on 2016-07-04 (Reason: moved to release)
lyx (2.2.0-1) unstable; urgency=medium

  * New upstream release (Closes: #827668)
    - Fixed: Missing character in cmex10.ttf (Closes: #388795)
    - Fixed: Indentation of bibitems (Closes: #622678)
    - Dropped patch workaround-gcc5-bug; applied upstream
    - Added patch fix-spelling-errors; fixes some typos
  * General debian/ maintenance
    - Update copyright to reflect boost location move
    - Update watch to a more generic version
    - Remove unneeded lyx.menu
    - Update Standards version to 3.9.8
    - Use secure URLs for Vcs-* fields
    - Enable all hardening options

 -- Nick Andrik <email address hidden>  Mon, 20 Jun 2016 11:18:08 +0200
Superseded in yakkety-release on 2016-06-23
Deleted in yakkety-proposed on 2016-06-24 (Reason: moved to release)
lyx (2.1.4-2build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <email address hidden>  Sat, 23 Apr 2016 18:45:07 +0000
Superseded in yakkety-release on 2016-04-24
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
lyx (2.1.4-2) unstable; urgency=medium

  * Build-depend on dh-python.
  * Add workaround-gcc5-bug.patch: Workaround bug in GCC 5 which makes
    LyX crash when cutting emphasized text (for example). Closes:
    #799091.

 -- Per Olofsson <email address hidden>  Thu, 17 Sep 2015 04:51:59 +0200

Available diffs

Superseded in wily-release on 2015-09-18
Deleted in wily-proposed on 2015-09-20 (Reason: moved to release)
lyx (2.1.4-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTBFS with boost 1.58. Closes: #797224.
    - Drop patch add-desktop-keywords; applied upstream.

 -- Per Olofsson <email address hidden>  Sun, 06 Sep 2015 21:25:59 +0200
Superseded in wily-release on 2015-09-08
Deleted in wily-proposed on 2015-09-10 (Reason: moved to release)
lyx (2.1.4-0ubuntu1) wily; urgency=medium

  * New upstream version (builds with boost 1.58).

 -- Matthias Klose <email address hidden>  Fri, 28 Aug 2015 19:55:41 +0200
Superseded in wily-proposed on 2015-08-28
lyx (2.1.3-1build1) wily; urgency=medium

  * No-change rebuild using boost 1.58.

 -- Matthias Klose <email address hidden>  Fri, 28 Aug 2015 12:54:13 +0000
Published in trusty-updates on 2015-07-08
Deleted in trusty-proposed (Reason: moved to -updates)
lyx (2.0.8.1-0ubuntu1) trusty; urgency=medium

  * New upstream microrelease 2.0.8.1 (LP: #1303688)

 -- Iain Lane <email address hidden>  Mon, 22 Jun 2015 17:58:21 +0100
Superseded in wily-release on 2015-08-28
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
lyx (2.1.3-1) unstable; urgency=low


  * New upstream release.
  * No longer override_dh_builddep in d/rules - xz is a default
    for quite some time.
  * Add Replaces and Breaks to the lyx binary package to support
    the icon move from lyx-common to lyx which was implemented in
    2.1.2-3. Closes: #767616

 -- Sven Hoexter <email address hidden>  Mon, 16 Feb 2015 11:55:15 +0100

Available diffs

Superseded in vivid-release on 2015-02-16
Deleted in vivid-proposed on 2015-02-18 (Reason: moved to release)
lyx (2.1.2-3) unstable; urgency=low


  * Bumped up Standards version to 3.9.6 (no changes needed)
  * Add support for upstream GPG signature tarball check
  * Update copyright file and convert to machine-readable format
  * Specify NEWS as the upstream changelog to be included in the binary
    packages
  * Mark fonts-lyx binary package as Multi-Arch: foreign
  * Add a lintian override for lyx-common's link to external mythes directory
  * Add a patch that populates .desktop file with a Keywords field
  * Fix permissions for some scripts

 -- Nick Andrik <email address hidden>  Sun, 12 Oct 2014 01:13:52 +0200

Available diffs

Superseded in vivid-release on 2014-10-28
Deleted in vivid-proposed on 2014-10-29 (Reason: moved to release)
lyx (2.1.2-2) unstable; urgency=low


  * Update d/watch to the 2.1.x series path.
  * LyX upstream provides its own .desktop file now. Remove the debian
    version and move the upstream file to the arch package.
    Closes: #762986, #763230

 -- Sven Hoexter <email address hidden>  Mon, 29 Sep 2014 12:59:04 +0200
Superseded in vivid-release on 2014-10-27
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
lyx (2.0.6-1build2) utopic; urgency=high

  * No change rebuild against boost1.55.
 -- Dimitri John Ledkov <email address hidden>   Tue, 29 Apr 2014 01:31:28 +0100

Available diffs

Superseded in utopic-release on 2014-04-29
Published in trusty-release on 2013-10-24
Deleted in trusty-proposed (Reason: moved to release)
lyx (2.0.6-1build1) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.
 -- Dmitrijs Ledkovs <email address hidden>   Tue, 22 Oct 2013 18:08:38 +0100
Superseded in trusty-release on 2013-10-24
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
lyx (2.0.6-1) unstable; urgency=low


  [ Nick Andrik ]
  * New upstream release
  * Bumped up Standards version to 3.9.4 (no changes needed)
  * Updated prefer-xdg-open patch since new upsteram includes more programs

  [ Sven Hoexter ]
  * Unversion build depedency on python - satisfied since squeeze.

 -- Sven Hoexter <email address hidden>  Sun, 02 Jun 2013 19:09:00 +0200

Available diffs

Superseded in saucy-release on 2013-05-07
Deleted in saucy-proposed on 2013-05-08 (Reason: moved to release)
lyx (2.0.3-3build1) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.
 -- Dmitrijs Ledkovs <email address hidden>   Fri, 26 Apr 2013 19:18:43 +0100
Superseded in saucy-release on 2013-06-03
Deleted in saucy-proposed on 2013-06-04 (Reason: moved to release)
lyx (2.0.5.1-1) experimental; urgency=low


  [ Sven Hoexter ]
  * New upstream release.
  * Add Nick Andrik to Uploaders.

  [ Nick Andrik ]
  * patches/prefer-xdg-open:
    - Updated patch since new upsteram includes more programs
  * debian/rules:
    - Delete empty folder no longer needed 

 -- Nick Andrik <email address hidden>  Tue, 02 Apr 2013 02:02:35 +0200
Superseded in saucy-release on 2013-04-27
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
lyx (2.0.3-3) unstable; urgency=low


  * Recommend texlive-generic-recommended, since ulem.sty was moved
    there. Closes: #671749.
  * Add debugging symbols package lyx-dbg. Closes: #438161.

 -- Per Olofsson <email address hidden>  Wed, 30 May 2012 18:06:22 +0200

Available diffs

Superseded in quantal-release on 2012-06-01
lyx (2.0.3-2) unstable; urgency=low


  * Create /usr/share/doc/fonts-lyx before moving the readme file there.
    Fixes FTBFS when building binary-arch.

 -- Per Olofsson <email address hidden>  Tue, 06 Mar 2012 17:16:26 +0100
Superseded in quantal-release on 2012-05-01
Published in precise-release on 2012-02-13
lyx (2.0.2-1ubuntu2) precise; urgency=low

  * Use maintscript support in dh_installdeb rather than writing out
    dpkg-maintscript-helper commands by hand.  We now simply Pre-Depend on a
    new enough version of dpkg rather than using 'dpkg-maintscript-helper
    supports' guards, leading to more predictable behaviour on upgrades.
 -- Colin Watson <email address hidden>   Mon, 13 Feb 2012 12:51:30 +0000

Available diffs

Superseded in precise-release on 2012-02-13
lyx (2.0.2-1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Pre-Depends: dpkg (>= 1.15.6) for xz compression support.  Needed until
      after Ubuntu 12.04 LTS.

Available diffs

Superseded in precise-release on 2011-12-23
lyx (2.0.1-1ubuntu1) precise; urgency=low

  * Pre-Depends: dpkg (>= 1.15.6) for xz compression support.  Needed until
    after Ubuntu 12.04 LTS.
 -- Micah Gersten <email address hidden>   Mon, 17 Oct 2011 23:05:33 -0500

Available diffs

Superseded in precise-release on 2011-10-18
lyx (2.0.1-1) unstable; urgency=low

  * New upstream release.
    + Remove debian/patches/path_max_hurd - included upstream.
    + Refresh debian/patches/prefer-xdg-open.
  * Update Vcs-* to the new anonscm.d.o structure.
  * Add texlive-xetex, etoolbox to the suggests lists and description of
    the lyx binary package. (Closes: #629153)
  * Change the compression used inside the binary package from bzip2 to xz.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  17 Oct 2011 11:14:06 +0000

Available diffs

Obsolete in lucid-backports on 2016-10-26
lyx (1.6.7-1~lucid1) lucid-backports; urgency=low

  * Automated backport upload; no source changes.

Available diffs

Obsolete in natty-updates on 2013-06-04
Deleted in natty-proposed on 2013-06-04 (Reason: moved to -updates)
lyx (2.0.0-1~natty1) natty-proposed; urgency=low

  * No Change backport from oneiric to fix various crashes (LP: #775900)

Available diffs

Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
lyx (2.0.0-1) unstable; urgency=low

  * New upstream release - 2.0.0 final
    + Remove patches/fix-assertion-618687, included upstream.
  * According to dev-ref 6.2.2 the short description is no sentence so
    we should start in lowercase letters.

Available diffs

Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
lyx (2.0.0~rc3-1) unstable; urgency=low

  * New upstream release
  * Update to Standards-Version: 3.9.2 - no changes required.
  * Add 'mythes-*' to the list of nice to have packages in the long
    description of the lyx binary package.
 -- axeoth <email address hidden>   Fri,  15 Apr 2011 14:24:48 +0000

Available diffs

Superseded in natty-release on 2011-04-15
lyx (2.0.0~rc2-1) unstable; urgency=low

  * New upstream release
  * Add ttf-lyx.post(inst|rm) and use dpkg-maint-script-helper rm_conffile
    as designed.
 -- Dmitry "Divius" Tantsur <email address hidden>   Sun,  10 Apr 2011 18:20:26 +0000

Available diffs

Superseded in natty-release on 2011-04-10
lyx (2.0.0~rc1-1) unstable; urgency=low

  [ Per Olofsson ]
  * Use dh_python2 instead of dh_pysupport.
  * Use debhelper sequence 'tex'.

  [ Rene Engelhard ]
  * Add a symlink so that LyX can access the mythes thesaurus files.
  * Build-depend on libmythes-dev.

  [ Sven Hoexter ]
  * New upstream release
  * Stop using defoma: Drop build-dep and dependency for ttf-lyx, remove
    dh_installdefoma from rules and subsequently no longer override_dh_install.
  * Add ttf-lyx.preinst to call dpkg-maintscript-helper rm_conffile
    to remove the old defoma hints file.
  * Build --without-included-mythes (Closes: #612327)
    Kudos to Rene Engelhard and Georg Baum for implementing it right away.
  * Refresh debian/patches/prefer-xdg-open.
 -- Dmitry "Divius" Tantsur <email address hidden>   Fri,  11 Mar 2011 10:32:21 +0000

Available diffs

Superseded in natty-release on 2011-03-11
lyx (2.0.0~beta4-1) unstable; urgency=low

  [ Sven Hoexter ]
  * New upstream release.
    + Drop the permission fix for lyxsweave.R and include_bib.py.
  * Add texlive-generic-extra to the list of recommends, it's now required
    to build the math manual.
  * Remove build-dependency on libaiksaurus-dev. LyX now supports
    OpenOffice.org mythes-* thesauruses.
  * Update debian/copyright to include the MyThes license.
  * Build explicitly --without-aspell and --without-hunspell. Drop
    --without-pspell since it's no longer supported.
  * Remove debian/patches/fix-manpage-errors, applied upstream.
    Thanks Georg.
  * Remove the latex-xft-fonts dummy package.
  * Remove lyx-common.postinst, lyx-common.preinst, lyx.preinst. All
    migrations supported within those scripts should be finished by now.
  * Remove README.source - no longer needed with source format 3.0.
  * Don't mention texlive-latex-extra in the long description for lyx. It's
    already recommended and thus part of the default installation.
  * Add a note about librsvg2-bin and inkscape to the long description.
  * Move HTML converters from suggests to recommends. (Closes: #611862)

  [ Per Olofsson ]
  * Add debian/source/local-options with option unapply-patches.
  * Remove dependency on mime-support. xdg-utils picks whatever
    mechanism is available.
  * Switch source format to 3.0 (quilt) and remove quilt references in
    rules and control.
  * Use "dh --with autotools_dev" instead of replacing
    config.{sub,guess} manually.
  * Use debhelper v8 compat mode.
  * Use dh_auto_* for building and cleaning.

Available diffs

Superseded in natty-release on 2011-02-09
Obsolete in maverick-release on 2013-03-05
lyx (1.6.7-1) unstable; urgency=low

  * New upstream release.
   + Remove debian/patches/spellcheckfix - applied upstream.
  * Update to Standards-Version: 3.9.0 - no changes required.
  * Remove build-dep on libaspell-dev and --with-aspell configure flag.

Available diffs

Superseded in maverick-release on 2010-08-16
Obsolete in lucid-release on 2016-10-26
lyx (1.6.5-1ubuntu1) lucid; urgency=low

  * Merge from Debian testing (LP: #511682), remaining changes:
    - debian/control: do not build latex-xft-fonts, it has its own
      source package in main.

Available diffs

Superseded in lucid-release on 2010-01-28
Obsolete in karmic-release on 2013-03-04
lyx (1.6.4-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #419011), remaining changes:
    - debian/control: Do not build latex-xft-fonts for now

 -- Simon Olofsson <email address hidden>   Wed, 09 Sep 2009 22:02:54 +0200

Available diffs

Superseded in karmic-release on 2009-09-23
lyx (1.6.3-4ubuntu1) karmic; urgency=low

  * Resync on Debian (Unstable)
  * debian/control: Do not build latex-xft-fonts for now (LP: #403565)

 -- Stefan Ebner <email address hidden>   Tue, 28 Jul 2009 22:57:45 +0200

Available diffs

Superseded in karmic-release on 2009-07-29
lyx (1.6.3-1) unstable; urgency=low

  [ Sven Hoexter ]
  * New upstream release
   + URLs in footnotes containing '#' or '%23' work again. Closes: #529937
  * Add patches/boost-mt. Starting with boost 1.38.0 the -mt suffix in the
    soname is back so we've to modify some makefiles to let it link again.
    Closes: #530469, #533427
  * Lift Build-Depends on libboost-dev up to 1.38.0 - otherwise the
    boost-mt patch will be harmful.
  * Add debian/patches/detect-elyxer. Modifies configure.py to search
    for 'elyxer' and 'elyxer.py'.
  * Update Standards-Version to 3.8.2 - no changes required.
  
  [ Per Olofsson ]
  * Update debian/watch URL.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  25 Jun 2009 07:44:12 +0100

Available diffs

Superseded in karmic-release on 2009-06-25
Obsolete in jaunty-release on 2013-02-28
lyx (1.6.2-1) unstable; urgency=low

  [ Per Olofsson ]
  * Add ghostscript and poppler-utils to Recommends. Closes: #515914

  [ Sven Hoexter ]
  * New upstream release Closes: #519936
  * Update Standards-Version to 3.8.1 without any changes.
  * Move the -e flag in the (post|pre)inst scripts from the shebang
    line to a separate 'set -e'. This is useful if you run the scripts
    with a different shell for debugging purpose.

 -- Johannes Hessellund <email address hidden>   Wed,  08 Apr 2009 22:17:38 +0100

Available diffs

Obsolete in intrepid-backports on 2013-02-20
lyx (1.6.1-1~intrepid1) intrepid-backports; urgency=low

  * Automated backport upload; no source changes.

Obsolete in hardy-backports on 2015-04-24
lyx (1.6.1-1~hardy1) hardy-backports; urgency=low

  * Automated backport upload; no source changes.

Available diffs

Superseded in jaunty-release on 2009-04-08
lyx (1.6.1-1) unstable; urgency=low

  [ Per Olofsson ]
  * Don't recommend postscript-viewer. Those who need one know how to get
    it, and a PDF reader is enough for most people.

  [ Sven Hoexter ]
  * New upstream release
    + Add missing includes for cstdio as it won't be included indirectly
      in gcc 4.4. Thanks to Martin Michlmayr. Closes: #505958
  * Add ${misc:Depends} to the Depends field for the lyx binary package.
    This seems to be a required thing nowdays (according to lintian).
  * Move texlive-latex-extra from Suggests to Recommends. Closes: #499629

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  15 Dec 2008 10:20:48 +0000

Available diffs

Superseded in jaunty-release on 2008-12-15
lyx (1.6.0-1) unstable; urgency=low

  [ Sven Hoexter ]
  * New upstream release
    + Fix for 'word-delete' deletes following non-word items. Closes: #492841
    + URL export works again. Closes: #344677
    + Fix for tables stopped working in g-brief-de. Closes: #379747
  * Change the name of the license file on Debian system from GPL to GPL-2.
  * Refresh /patches/prefer-xdg-open.
  * Replace the old LyX logo with the new one. Converted from the
    lib/images/lyx.png file to 32x32 XPM file.
  * Remove empty /usr/share/lyx/images/commands directory from lyx-common. 
  
  [ Per Olofsson ]
  * Remove texlive-latex-base dependency from lyx-common, as it already
    depends on tex-common via ${misc:Depends}, and that's all that's
    really necessary.
  * Remove debian/lyx-common.postrm. It was only deleting /etc/lyxrc,
    which is not necessary since the file is deleted in preinst.
  * Don't remove profiling.py, there's no reason.

Available diffs

Superseded in jaunty-release on 2008-11-14
Obsolete in intrepid-release on 2013-02-20
lyx (1.5.6-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #253196).

 -- Andres Riofrio <email address hidden>   Sat, 25 Oct 2008 15:29:17 +0200

Available diffs

Superseded in hardy-backports on 2008-12-23
lyx (1.5.5-1~hardy1) hardy-backports; urgency=low

  * Automated backport upload; no source changes.

Available diffs

Superseded in intrepid-release on 2008-10-25
lyx (1.5.5-1) unstable; urgency=low

  [ Sven Hoexter ]
  * New upstream release
    + Removed patches/qt_44_crash_fix. 

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  16 May 2008 09:48:18 +0100
Superseded in intrepid-release on 2008-05-16
lyx (1.5.4-2) unstable; urgency=low

  [ Per Olofsson ]
  * Add writer2latex and latex2rtf to Suggests (found in configure.py).
  * Only assign CXXFLAGS if it's empty, as dpkg-buildpackage now defines
    the variable for us. Don't bother with checking for noopt in
    DEB_BUILD_OPTIONS, as it's deprecated.

  [ Sven Hoexter ]
  * Add bash_completion and install it as /etc/bash_completion.d/lyx.
    Thanks to Cengiz Gunay <email address hidden>.
  * Add pkg-config as a build-dependency. Needed after the libqt4-dev
    build-dep resorting.
  * Add patches/qt_44_crash_fix from Abdelrazak Younes <email address hidden>
    to get LyX working with Qt 4.4. Closes: #475523

Obsolete in gutsy-backports on 2011-09-16
lyx (1.5.3-1~gutsy1) gutsy-backports; urgency=low

  * Automated backport upload; no source changes.

Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
lyx (1.5.3-1) unstable; urgency=low

  [ Sven Hoexter ]
  * New upstream release should resolve the following problems:
    + Document class "article (AMS)" no longer works properly. Closes: #448260
    + lyx-qt ignores "screen DPI" setting in Preferences. Closes: #316535
    + Lyx 1.5.2-1 crashes at startup on LANG=pt_BR.utf8. Closes: #453520
  * Dropping patches lyxclient-man-nonascii-char and
    05.configure.py_prog_prefer. Thanks to Andre' Poenitz and
    Juergen Spitzmueller both are now included upstream.
  * Added the Homepage field in control.
  * Added a note to the NEWS.Debian file about the removal of the old
    -qt and -xforms frontend packages. Closes: #452888
  * Standards-Version: 3.7.3 - no changes required.
  * Added lyx-common.preinst script. Remove /etc/lyxrc (if existing)
    which is left from the LyX 1.4.x packages and would be otherwise
    left on the system even if you purge the latest package.
    Closes: #454713
  * Added "-- -Z bzip2" to dh_builddeb so that we use bzip2 compression
    for the binary packages instead of gzip.
  * Removed the explicit "Encoding=UTF-8" from lyx.desktop because it's
    deprecated now.

  [ Per Olofsson ]
  * Disable assertions per upstream advice. More specifically, don't pass
    --enable-assertions but let configure select whatever is the default
    (only enables assertions for prereleases and devel versions).
    Closes: #410175
  * Add -Wl,-z,defs to make sure there are no undefined symbols.
  * Remove old NEWS entry about /etc/lyxrc and lyxrc.dist, since they
    are both gone now.
  * Reformat NEWS.Debian to comply with Dev Ref.
  * Change Vcs-Browser. viewsvn is a lot nicer than WebSVN.

 -- Marco Rodrigues <email address hidden>   Fri,  04 Jan 2008 10:03:28 +0000
Superseded in hardy-release on 2008-01-04
lyx (1.5.2-1ubuntu1) hardy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable assertions.

Superseded in hardy-release on 2007-10-29
Obsolete in gutsy-release on 2011-09-16
lyx (1.5.1-2ubuntu1) gutsy; urgency=low

  * Sync from Debian unstable (no Ubuntu changes retained).
    - New upstream release. (LP: #141606)
  * Disable assertions again.

Superseded in gutsy-release on 2007-10-09
lyx (1.5.0-0ubuntu2) gutsy; urgency=low

  * Rebuild for boost 1.34.0 -> 1.34.1 transistion.

 -- Steve Kowalik <email address hidden>   Thu, 13 Sep 2007 11:06:58 +1000
Superseded in gutsy-release on 2007-09-13
lyx (1.5.0-0ubuntu1) gutsy; urgency=low

  * Sync from experimental.
  * New upstream release
    - Add proper UTF-8 Support (LP: #2513, #61698).

 -- William Grant <email address hidden>   Mon, 30 Jul 2007 19:50:39 +1000
Superseded in gutsy-release on 2007-07-30
lyx (1.4.4-2) unstable; urgency=low

  * The patch 06.insetassertions was removed in the previous version, as
    it has been integrated upstream. Forgot to note this in the changelog.
  * Suggest texlive-latex-extra. Closes: #419555
  * Remove redundant dependencies.
  * Remove redundant Recommends and Suggests from lyx-common.
  * Move sgmltools-lite and linuxdoc-tools from Recommends to Suggests.
  * Made lyx-qt and lyx-xforms Recommend: lyx. Closes: #426027

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  19 Jun 2007 16:02:26 +0100
Superseded in gutsy-release on 2007-06-19
lyx (1.4.4-1) unstable; urgency=low

  [ Per Olofsson ]
  * Include the quilt package's quilt.make instead of running quilt on our
    own. Simplifies debian/rules.
  * Don't depend on tetex anymore since it's obsolete.
  * Depend on latex-xft-fonts instead of only recommending it.

  [ Sven Hoexter ]
  * Adding a Conflicts: latex-beamer (<=3.06.dfsg.1-0.1) for lyx-common since
    we ship the beamer.layout file now.
  * Added the new XS-Vcs-Browser field to control and control.in.
  * New upstream release (closes: #414700)

  [ Per Olofsson ]
  * Remove X[SB]-Python-Version: from debian/control.

Superseded in gutsy-release on 2007-05-03
Obsolete in feisty-release on 2009-08-20
lyx (1.4.3-2ubuntu1) feisty; urgency=low

  * debian/rules: Removed --enable-assertions (Closes Malone #82365).

 -- Vincenzo Ciancia <email address hidden>   Thu,  8 Feb 2007 19:30:13 +0100
Obsolete in edgy-backports on 2008-06-19
lyx (1.4.3-2~edgy1) edgy-backports; urgency=low

  * Automated backport upload; no source changes.

Superseded in feisty-release on 2007-02-10
lyx (1.4.3-2) unstable; urgency=low

  [ Sven Hoexter ]
  * Use CFLAGS as CXXFLAGS because LyX is C++ code.
  * Adding -ffunctions-sections as a workaround for builds on hppa.
  * Adding texlive-latex-base as an alternative Build-Dep
    (wished by Gudjon I. Gudjonsson)
  * Added the 'Boost Software License' to debian/copyright.

  [ Per Olofsson ]
  * Added -Wl,--as-needed to LDFLAGS.
  * Only give both --build and --host to ./configure if cross-compiling.
  * Unify LyX desktop files. Only include a .desktop file in the lyx
    package. It will use the frontend selected using the alternatives
    system.
  * Also unify Debian menu files.
  * Don't do make distclean - we have a separate build-tree which we
    remove anyway.
  * Use the name "LyX Document Processor" as the menu title for lyx.
  * Added --disable-rpath configure option.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  10 Nov 2006 17:52:53 +0000
Superseded in feisty-release on 2006-11-10
lyx (1.4.3-1) unstable; urgency=low

  [ Sven Hoexter ]
  * New upstream release - Closes: #392088
    - Should fix lyx-qt crashes on figure updates Closes: #377399
  * Removed the following patches integrated in the new upstream release
    - 06.qt_frontend_metabutton
    - 07.reconfigure_in_batch_mode
  * Updated patch 05.configure.py_prog_prefer
  * Add a mime file and call dh_installmime -a
  * Another try to comply with the current python policy
    - Build-Depend on python-support (>= 0.5.3)
    - Add "XS-P-V: all" to control
    - Remove pycompat file and don't run dh_python
    - Kill /usr/share/lyx2lyx/profiling.py including the .py(o|c)
      Closes: #392486
  * Added XS-X-Vcs-Svn to control
  
  [ Per Olofsson ]
  * Made lyx-common Recommend: lyx. Closes: #382674.
  

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  07 Nov 2006 02:52:10 +0000
Superseded in feisty-release on 2006-11-08
Obsolete in edgy-release on 2008-06-19
lyx (1.4.2-4) unstable; urgency=low

  [ Per Olofsson ]
  * Add ${shlibs:Depends} to lyx Depends now that it's a arch package.
  * Removed call to gtk-update-icon-cache from lyx-common.postinst.
    Closes: #381976
  * Remove old configure-generated stuff from /usr/share/lyx.
  * Added patch 07.reconfigure_in_batch_mode which makes LyX automatically
    reconfigure ~/.lyx even if running non-interactively.
    Closes: #381622.
  
  [ Sven Hoexter ]
  * Build-Depend on python-dev instead of python.

Superseded in edgy-release on 2006-09-01
lyx (1.4.2-2) unstable; urgency=low

  * Made lyx Replace: lyx-common (<< 1.4.2-1) because it includes new
    binaries which used to be in lyx-common. Closes: #380024.
  * Only call gtk-update-icon-cache if there's a index.theme.
    Closes: #380072.

Superseded in edgy-release on 2006-07-31
lyx (1.4.1-2ubuntu1) edgy; urgency=low

  * Resync with Debian
  * Add files debian/lyx-xforms.desktop, debian/lyx.xml
  * debian/lyx-common.{install, dirs} add lyx.xml
  * debian/lyx-xforms.{install, dirs} add lyx-xforms.desktop

 -- Barry deFreese <email address hidden>   Thu,  6 Jul 2006 16:41:25 -0400
Superseded in edgy-release on 2006-07-07
Obsolete in dapper-release on 2011-09-06
lyx (1.3.7-0ubuntu4) dapper; urgency=low

  * The bddebian is a moron release

 -- Barry deFreese <email address hidden>   Sun, 23 Apr 2006 21:50:41 -0400
Superseded in dapper-release on 2006-04-24
lyx (1.3.7-0ubuntu3) dapper; urgency=low

  * Add my lyx.xml back in.

 -- Barry deFreese <email address hidden>   Sun, 23 Apr 2006 14:15:59 -0400
Superseded in dapper-release on 2006-04-23
lyx (1.3.7-0ubuntu2) dapper; urgency=low

  * Generalize icon path in desktop file (Closes Malone: #38496)

 -- Barry deFreese <email address hidden>   Fri, 21 Apr 2006 20:34:11 -0400
Superseded in dapper-release on 2006-04-22
lyx (1.3.7-0ubuntu1) dapper; urgency=low

  * New upstream release.
Superseded in dapper-release on 2006-02-08
Superseded in dapper-release on 2006-02-03
lyx (1.3.6-1ubuntu5) dapper; urgency=low


  * Rebuild for libstdc++ allocator change

 -- Matthias Klose <email address hidden>  Sat, 24 Dec 2005 15:32:56 +0000
175 of 78 results